The Spanish version is the authoritative reference. View in Spanish
Event for data update: Transport Data
Through this event you can inform the Tax Authority of changes or updates related to the driver, the carrier, the vehicle, the delivery location, and other transport data. The parameters to send in the API are as follows:
| Data update: Transport Data (request) | |||||
|---|---|---|---|---|---|
| Parameter | Parameter type | Data type | Description | Allowed values | Length |
| CountryDocumentId* | String | Alphanumeric | Country-level tax identifier of the document | 44 characters | |
| status* | Integer | Numeric | Event code | 35 | 2 characters |
| description* | String | Alphanumeric | Description of the event reason | 5-500 characters | |
| code* | Integer | Numeric | Code of the event reason | 1= Change of delivery location 2= Change of driver 3= Change of carrier 4= Change of vehicle | 1 character |
| receiverDepartmentCode | Integer | Numeric | Department code of the delivery location | Defined in the department catalog | 2 characters |
| receiverDepartmentName | String | Alphanumeric | Description of the delivery location's department | Defined in the department catalog | 6-16 characters |
| receiverDistrictCode | Integer | Numeric | District code of the delivery location | Defined in the district catalog | 4 characters |
| receiverDistrictName | String | Alphanumeric | Description of the delivery location's district | Defined in the district catalog | 1-30 characters |
| receiverCityCode | Integer | Numeric | City code of the delivery location | Defined in the city catalog | 5 characters |
| receiverCityName | String | Alphanumeric | Description of the delivery location's city | Defined in the city catalog | 1-30 characters |
| receiverAddress | String | Alphanumeric | Address of the delivery location | 1-255 characters | |
| receiverHouseNumber | Integer | Numeric | House number of the delivery location | 1-6 characters | |
| receiverAddressReference | String | Alphanumeric | Additional address details of the delivery location | 1-255 characters | |
| driverName* | String | Alphanumeric | Driver's first and last name | 4-60 characters | |
| driverCode | String | Alphanumeric | Driver's identity document number | 1-20 characters | |
| carrierTypeTaxpayer | Integer | Numeric | Nature of the carrier | 1= Taxpayer 2= Non-taxpayer | 1 character |
| carrierCode | String | Alphanumeric | Carrier's RUC / Carrier's identity document number | 3-8 / 1-20 characters | |
| carrierCodeDV | Integer | Numeric | Check digit of the carrier's RUC | 1 character | |
| carrierName | String | Alphanumeric | Carrier's name or business name | 4-60 characters | |
| carrierDocumentType | Integer | Numeric | Carrier's identity document type | 1= Paraguayan ID card 2= Passport 3= Foreign ID card 4= Residency card | 1 character |
| carriageType | Integer | Numeric | Type of transport | 1= Own 2= Third-party | 1 character |
| carriageMode* | Integer | Numeric | Transport mode | 1=Land 2= River 3= Air 4= Multimodal | 1 character |
| vehicleType | String | Alphanumeric | Vehicle type | 4-10 characters | |
| vehicleBrand | String | Alphanumeric | Vehicle brand | 1-10 characters | |
| vehicleDocumentType | Integer | Numeric | Vehicle identification type | 1=Vehicle identification number 2=Vehicle registration number | 1 character |
| vehicleCode | String | Alphanumeric | Vehicle identification number | 1-20 characters | |
| vehicleRegistration | String | Alphanumeric | Vehicle registration number | 6 characters |
Request example
For this method we use the body tab, raw section, in Postman.
- Select the method type. In this case, you must select POST.
- Enter the method URL.
- Enter the parameters shown in the table above with their corresponding values.
- Click Send.
{
"CountryDocumentId":"01801288223001002000021222025091011125456905",
"Status": "35",
"description":"Cambio del local de la entrega",
"code":"3",
"receiverDepartmentCode": "17",
"receiverDepartmentName": "Alto Paraguay",
"receiverDistrictCode": "195",
"receiverDistrictName": "Fuerte Olimpo",
"receiverCityCode": "4624",
"receiverCityName": "Fuerte Olimpo",
"receiverAddress": "Yacyretá, Fuerte Olimpo 170101, Paraguay",
"receiverHouseNumber": "170101",
"receiverAddressReference": "Edificio Pepito",
"driverName": "Pedro Perez",
"driverCode": "1236547896",
"carrierTypeTaxpayer": "2",
"carrierCode":"12365478",
"carrierCodeDV":"0",
"carrierName":"Pedro Perez",
"carrierDocumentType":"1",
"carriageType":"1",
"carriageMode":"1",
"vehicleType":"",
"vehicleBrand":"",
"vehicleDocumentType":"1",
"vehicleCode":"3215698",
"vehicleRegistration":""
}Submission to the Tax Authority
If the event was generated successfully, it is sent to the Tax Authority for validation and acceptance.
Transport Data Update Response
The API will respond to your request with one of the following codes:
| Transport Data Update response codes | ||
|---|---|---|
| Message | Code | Note |
| Event registered successfully, Event for data update: Transport Data" | 0600 | When the event was generated successfully. |
| The Department, District, and City of the delivery location are not related | 4300 | There must be a relationship between the department (GET004), the district (GET006), and the city (GET008) |
| Department code of the delivery location required for the reason Change of delivery location | 4301 | When the event reason is Change of delivery location (GET003=1), the department code of the delivery location (GET004) is required |
| Description of the delivery location's department is required | 4302 | When the department code of the delivery location (GET004) is provided, the description of the delivery location's department (GET005) is required |
| Description of the delivery location's department does not match the code | 4303 | Description of the delivery location's department does not match what was provided in field GET004 |
| Description of the delivery location's district is required | 4304 | When the district code of the delivery location (GET006) is provided, the description of the delivery location's district (GET007) is required |
| Description of the delivery location's district does not match the code | 4305 | Description of the delivery location's district does not match what was provided in field GET006 |
| City code of the delivery location required for the reason Change of delivery location | 4306 | When the event reason is Change of delivery location (GET003=1), the city code of the delivery location (GET004) is required |
| Description of the delivery location's city is required | 4307 | When the city code of the delivery location (GET008) is provided, the description of the delivery location's city (GET009) is required |
| Description of the delivery location's city does not match the code | 4308 | Description of the delivery location's city does not match what was provided in field GET008 |
| Address of the delivery location required for the reason Change of delivery location | 4309 | When the event reason is Change of delivery location (GET003=1), the address of the delivery location (GET010) is required |
| House number of the delivery location required for the reason Change of delivery location | 4310 | When the event reason is Change of delivery location (GET003=1), the house number of the delivery location (GET011) is required |
| Driver's first and last name required for the reason Change of driver | 4311 | When the event reason is Change of driver (GET003=2), the driver's first and last name (GET013) is required |
| Driver's identity document number required for the reason Change of driver | 4312 | When the event reason is Change of driver (GET003=2), the driver's identity document number (GET014) is required |
| Nature of the carrier required for the reason Change of carrier | 4313 | When the event reason is Change of carrier (GET003=3), the nature of the carrier (GET015) is required |
| Carrier's RUC not provided | 4314 | The RUC number is required if the nature of the carrier is taxpayer (GET015 = 1) |
| Carrier's RUC does not exist | 4315 | The provided carrier RUC does not exist in the Marangatu database |
| The carrier's RUC is inactive | 4316 | The carrier's RUC must have a status other than CANCELADO, CANCELADO DEFINITIVO, or SUSPENSIÓN TEMPORAL in Marangatu at the time the DE is issued |
| Carrier's RUC not required | 4317 | If the nature of the carrier is not taxpayer (GET015 ≠ 1), the carrier's RUC (GET016) must not be provided |
| Carrier's RUC check digit incorrect | 4318 | The entered check digit (GET017) does not correspond to modulo 11 of the RUC (GET016) |
| Carrier's name or business name is required for the event reason | 4319 | When the event reason is change of carrier (GET003=3), the carrier's name or business name (GET018) is required |
| Carrier's identity document type not provided | 4320 | The identity document type is required if the nature of the carrier is NON-taxpayer (GET015 =2) |
| Carrier's identity document type not required | 4321 | If the nature of the carrier is taxpayer (GET015 =1), the carrier's identity document type (GET019) must not be provided |
| Description of the carrier's identity document type not provided | 4322 | If the carrier's identity document type code (GET019) is provided, its description (GET020) is required |
| Description of the carrier's identity document type does not match the code | 4323 | Description of the carrier's identity document type (GET020) does not match what was provided in field GET019 |
| Carrier's identity document number not provided | 4324 | If the carrier's identity document type code (GET019) is provided, the number of that document is required (GET020) |
| Transport type required for the reason Change of vehicle | 4325 | When the event reason is change of vehicle (GET003=4), the transport type (GET022) is required |
| Description of the transport type is required | 4326 | When the transport type code (GET022) is provided, the description of the transport type (GET023) is required |
| Description of the transport type does not match the code | 4327 | Description of the transport type does not match what was provided in field GET022 |
| Transport mode required for the reason Change of vehicle | 4328 | When the event reason is change of vehicle (GET003=4), the transport mode (GET024) is required |
| Description of the transport mode is required | 4329 | When the transport mode code (GET024) is provided, the description of the transport mode (GET025) is required |
| Description of the transport mode does not match the code | 4330 | Description of the transport mode does not match what was provided in field GET024 |
| Vehicle type required for the reason Change of vehicle | 4331 | When the event reason is change of vehicle (GET003=4), the vehicle type (GET026) is required |
| Vehicle brand required for the reason Change of vehicle | 4332 | When the event reason is change of vehicle (GET003=4), the vehicle brand (GET027) is required |
| Vehicle identification type required for the reason Change of vehicle | 4333 | When the event reason is change of vehicle (GET003=4), the vehicle identification type (GET028) is required |
| Vehicle identification type not provided | 4334 | The vehicle identification number is required when the vehicle identification type is 1 (GET028=1) |
| Vehicle registration number not provided | 4335 | The vehicle registration number is required when the vehicle identification type is 2 (GET028=2) |
Response examples
If the result is successful, the API response is as follows:
{
"Success": true,
"GlobalDocumentId": "71c9747f-6d6f-a19b-6521-087525688543",
"CountryDocumentId": "01801288223001002000021222025091011125456905",
"OtherData": {
"Country": "py",
"Certifier": "SIFEN",
"AuthorityTimeStamp": "14/10/2025 13:41:40"
},
"Messages": [],
"ResponseValue": "PD94bWwgdmVyc2lvbj0iMS4w...UmV0RW52aUV2ZW50b0RlPg==",
"Code": "0600",
"Description": "Evento registrado correctamente, Evento por actualización de datos: Datos del transporte",
"ErrorException": null
}If the submission result is not successful, the API will respond with the following error message:
{
"Success": false,
"GlobalDocumentId": "71c9747f-6d6f-a19b-6521-087525688543",
"CountryDocumentId": "01801288223001002000021222025091213145456905",
"OtherData": {
"Country": "py",
"Certifier": "SIFEN",
"AuthorityTimeStamp": "14/10/2025 16:19:03"
},
"Messages": [],
"ResponseValue": "PD94bWwgdmVyc2lvbj0iM...WZT4NCjwvclJldEVudmlFdmVudG9EZT4=",
"Code": "4305",
"Description": "TEST - Descripción del distrito del local de la entrega no corresponde al código",
"ErrorException": null
}